package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ApiApischemeItemdetailRequest struct {
	// 标准调试方案绑定的调试方案ID【仅标准方案（去调试）功能使用的参数，用于定位到标准集成方案所在位置】
	StandardDebugId *int64 `json:"standardDebugId,omitempty"`
	// 标准调试方案ID【仅标准方案（去调试）功能使用的参数，用于定位到标准集成方案所在位置】
	StandardSchemeId *int64 `json:"standardSchemeId,omitempty"`
	// 调试方案所绑定的接口ID
	Id *int64 `json:"id,omitempty"`
}

func (obj ApiApischemeItemdetailRequest) GetUrl() string {
	return "/api/apischeme/item_detail"
}

func (obj ApiApischemeItemdetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("standardDebugId", obj.StandardDebugId)
	parameter.AddParam("standardSchemeId", obj.StandardSchemeId)
	parameter.AddParam("id", obj.Id)
	return parameter
}
